Bug 19939 - Move cataloging Z39.50 results actions into menu
Summary: Move cataloging Z39.50 results actions into menu
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19932
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-09 15:59 UTC by Owen Leonard
Modified: 2018-03-23 00:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19939 - Move cataloging Z39.50 results actions into menu (8.45 KB, patch)
2018-01-09 20:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19939 - Move cataloging Z39.50 results actions into menu (8.52 KB, patch)
2018-02-13 14:35 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19939 - Move cataloging Z39.50 results actions into menu (8.59 KB, patch)
2018-02-18 13:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19939: Move cataloging Z39.50 results actions into menu (8.59 KB, patch)
2018-02-18 13:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-09 15:59:24 UTC
The cataloging Z39.50 popup window of search results can be very crowded, so it might be good to move the "actions," (MARC, Card, Import), into a menu.
Comment 1 Owen Leonard 2018-01-09 20:07:40 UTC
Created attachment 70393 [details] [review]
Bug 19939 - Move cataloging Z39.50 results actions into menu

This patch modifies the template which displays cataloging Z39.50
search results so that the "MARC," "Card," and "Import" links are moved
out of separate table cells and into one menu.

The old menu which would appear when any table cell is clicked has been
removed, and code added to display the same Bootstrap menu if a table
cell is clicked.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.

- Perform a Z39.50 search which will return more than one result.
- Confirm that clicking the "Actions" button triggers a drop-down menu.
  - Confirm that the links in the menu trigger actions for the correct
    bibliographic record.
- Confirm that clicking any other table cell in the table of results
  will trigger the display of the same menu.
  - Confirm that this menu works correctly for the correct record.
Comment 2 Claire Gravely 2018-02-13 14:35:23 UTC
Created attachment 71540 [details] [review]
Bug 19939 - Move cataloging Z39.50 results actions into menu

This patch modifies the template which displays cataloging Z39.50
search results so that the "MARC," "Card," and "Import" links are moved
out of separate table cells and into one menu.

The old menu which would appear when any table cell is clicked has been
removed, and code added to display the same Bootstrap menu if a table
cell is clicked.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.

- Perform a Z39.50 search which will return more than one result.
- Confirm that clicking the "Actions" button triggers a drop-down menu.
  - Confirm that the links in the menu trigger actions for the correct
    bibliographic record.
- Confirm that clicking any other table cell in the table of results
  will trigger the display of the same menu.
  - Confirm that this menu works correctly for the correct record.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-18 13:35:00 UTC
Created attachment 71904 [details] [review]
Bug 19939 - Move cataloging Z39.50 results actions into menu

This patch modifies the template which displays cataloging Z39.50
search results so that the "MARC," "Card," and "Import" links are moved
out of separate table cells and into one menu.

The old menu which would appear when any table cell is clicked has been
removed, and code added to display the same Bootstrap menu if a table
cell is clicked.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.

- Perform a Z39.50 search which will return more than one result.
- Confirm that clicking the "Actions" button triggers a drop-down menu.
  - Confirm that the links in the menu trigger actions for the correct
    bibliographic record.
- Confirm that clicking any other table cell in the table of results
  will trigger the display of the same menu.
  - Confirm that this menu works correctly for the correct record.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2018-02-18 13:35:39 UTC
Created attachment 71905 [details] [review]
Bug 19939: Move cataloging Z39.50 results actions into menu

This patch modifies the template which displays cataloging Z39.50
search results so that the "MARC," "Card," and "Import" links are moved
out of separate table cells and into one menu.

The old menu which would appear when any table cell is clicked has been
removed, and code added to display the same Bootstrap menu if a table
cell is clicked.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.

- Perform a Z39.50 search which will return more than one result.
- Confirm that clicking the "Actions" button triggers a drop-down menu.
  - Confirm that the links in the menu trigger actions for the correct
    bibliographic record.
- Confirm that clicking any other table cell in the table of results
  will trigger the display of the same menu.
  - Confirm that this menu works correctly for the correct record.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2018-02-18 13:36:11 UTC
I like the new context menu - cleaner and easier to use with the options stacked. Fixed the commit message from using - to : after the bug number.
Comment 6 Jonathan Druart 2018-02-18 19:49:58 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-03-23 00:57:18 UTC
Enhancement, not backported for 17.11